Package org.eclipse.birt.chart.model.attribute

# Enum UnitsOfMeasurement

java.lang.Object
java.lang.Enum<UnitsOfMeasurement>
org.eclipse.birt.chart.model.attribute.UnitsOfMeasurement

All Implemented Interfaces:
  `Serializable`, `Comparable<UnitsOfMeasurement>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum UnitsOfMeasurement extends Enum<UnitsOfMeasurement> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration ' Units Of Measurement', and utility methods for working with them. This type represents the possible values of Units of Measurement.

See Also:
  - `AttributePackage.getUnitsOfMeasurement()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CENTIMETERS_LITERAL`
The 'Centimeters' literal object.
`INCHES_LITERAL`
The 'Inches' literal object.
`PIXELS_LITERAL`
The 'Pixels' literal object.
`POINTS_LITERAL`
The 'Points' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CENTIMETERS`
The 'Centimeters' literal value.
`static final int`
`INCHES`
The 'Inches' literal value.
`static final int`
`PIXELS`
The 'Pixels' literal value.
`static final int`
`POINTS`
The 'Points' literal value.
`static final List<UnitsOfMeasurement>`
`VALUES`
A public read-only list of all the 'Units Of Measurement' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static UnitsOfMeasurement`
`get(int value)`
Returns the 'Units Of Measurement' literal with the specified integer value.
`static UnitsOfMeasurement`
`get(String literal)`
Returns the 'Units Of Measurement' literal with the specified literal value.
`static UnitsOfMeasurement`
`getByName(String name)`
Returns the 'Units Of Measurement' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static UnitsOfMeasurement`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static UnitsOfMeasurement[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PIXELS_LITERAL

public static final UnitsOfMeasurement PIXELS_LITERAL
The 'Pixels' literal object.

If the meaning of 'Pixels' literal object isn't clear, there really should be more of a description here...

See Also:
  - `PIXELS`

### POINTS_LITERAL

public static final UnitsOfMeasurement POINTS_LITERAL
The 'Points' literal object.

If the meaning of 'Points' literal object isn't clear, there really should be more of a description here...

See Also:
  - `POINTS`

### INCHES_LITERAL

public static final UnitsOfMeasurement INCHES_LITERAL
The 'Inches' literal object.

If the meaning of 'Inches' literal object isn't clear, there really should be more of a description here...

See Also:
  - `INCHES`

### CENTIMETERS_LITERAL

public static final UnitsOfMeasurement CENTIMETERS_LITERAL
The 'Centimeters' literal object.

If the meaning of 'Centimeters' literal object isn't clear, there really should be more of a description here...

See Also:
  - `CENTIMETERS`

## Field Details

### PIXELS

public static final int PIXELS
The 'Pixels' literal value.

See Also:
  - `PIXELS_LITERAL`
  - Constant Field Values

### POINTS

public static final int POINTS
The 'Points' literal value.

See Also:
  - `POINTS_LITERAL`
  - Constant Field Values

### INCHES

public static final int INCHES
The 'Inches' literal value.

See Also:
  - `INCHES_LITERAL`
  - Constant Field Values

### CENTIMETERS

public static final int CENTIMETERS
The 'Centimeters' literal value.

See Also:
  - `CENTIMETERS_LITERAL`
  - Constant Field Values

### VALUES

public static final List<UnitsOfMeasurement> VALUES
A public read-only list of all the 'Units Of Measurement' enumerators.

## Method Details

### values

public static UnitsOfMeasurement[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static UnitsOfMeasurement valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static UnitsOfMeasurement get(String literal)
Returns the 'Units Of Measurement' literal with the specified literal value.

### getByName

public static UnitsOfMeasurement getByName(String name)
Returns the 'Units Of Measurement' literal with the specified name.

### get

public static UnitsOfMeasurement get(int value)
Returns the 'Units Of Measurement' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<UnitsOfMeasurement>`